Updates an existing entity mapping referenced by its unique identifier.
Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.
<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.
For details, read Request an access token.
OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.
Unique identifier of the entity mapping to update. This value is returned in a 200 response from the GET List entity mappings request or in a 201 response from the POST Create entity mapping request.
Example of the updated mapping details.
{
"mapping": {
"name": "New Lines Based on Product Cost Changes",
"mode": "upsert",
"sourceEntity": "CUSTOMER",
"targetEntity": "TRANSACTIONS",
"filters": [
{
"filterName": "Product",
"filterExpression": "Product_Id eq 'P2'"
},
{
"filterName": "Customer",
"filterExpression": "Customer_Id eq '000247'"
}
],
"fields": [
{
"sourceEntityField": "New_Price",
"targetEntityField": "List_Price"
},
{
"sourceEntityField": "New_Date",
"targetEntityField": "Effective_Date"
}
]
},
"name": "DemoMappingToDelete"
}Mapping definition that specifies source and target entities, mode, optional filters, and field mappings.
Description of the entity mapping.
Defines how to map data to the target entity. Supported values:
- insert—New records will be added to the target entity but its existing data won't be updated.
- update—Existing records of the target entity will be updated with the new data.
- upsert—New records will be inserted into the target entity and its existing records will be updated with the new data.
Unique system name of the source entity.
Unique system name of the target entity.
Filters that limit which source records are mapped to the target entity.
Filter name.
OData-style filter expression. The value should take the format fieldSystemName operator fieldValue.
Field mappings from source entity fields to target entity fields.
System name of the source entity field.
System name of the target entity field.
Unique name of the entity mapping.
The entity mapping was updated. Returns the updated mapping metadata.
The entity mapping with the specified ID does not exist.
Unable to process the content. name and mapping must not be null.